org.jfree.report.modules.gui.common

## Interface GuiContext

- All Known Subinterfaces:
    SwingGuiContext
  All Known Implementing Classes:
    DefaultGuiContext

      public interface GuiContext

  Creation-Date: 16.11.2006, 17:06:38
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.pentaho.reporting.libraries.base.config.Configuration` | `getConfiguration()`
    `IconTheme` | `getIconTheme()`
    `java.util.Locale` | `getLocale()`

- - ### Method Detail

    - #### getLocale

          java.util.Locale getLocale()

    - #### getIconTheme

          IconTheme getIconTheme()

    - #### getConfiguration

          org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()